package fr.iutfbleau.projetIHM2022FI2.MP.ROOT.Controller;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;

import fr.iutfbleau.projetIHM2022FI2.API.Model;
/**
 * listener pour la liste des étudiants
 */
public class ActionListChange implements ActionListener{
	// le model
    private Model m;
		/**
		 * le constructeur
		 * 
		 * @param m le model
		 * 
		 */
    public ActionListChange(Model m){
        this.m=m;
    }
		/**
		 * méthode invoquée lors d'un clic sur un bouton
		 * @param e l'événement
		 */
    @Override
    public void actionPerformed(ActionEvent e) {
        String text=((JButton)e.getSource()).getText();
        if(text.equals("Changement")){
            this.m.listChange();
        }
        if(text.equals("Find Etu")){
            this.m.findEtu();
        }
    }
    
}
